Skip to main content
Infrastructure/Lifecycle

ListHealthHistory

List health check history records

GET/api/v1/lifecycle/health-history

Operation ID

ListHealthHistory

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • componentUuid
    String

    Filter by component UUID

  • componentType
    String

    Filter by component type

  • componentCategory
    String

    Filter by managed component category

  • componentName
    String

    Filter by managed component name

  • checkType
    String

    Filter by check type

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of health check records

    Example: (nested array)

    • id
      Integer

      Auto-increment record ID

      Example: 1

    • componentUuid
      String

      UUID of the component checked

      Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890

    • componentType
      String

      Type of the component checked

      Example: lifecycle-service

    • checkType
      String

      Type of health check performed

      Example: liveness

    • status
      String

      Health check result status

      Example: healthy

    • latencyMs
      Integer

      Round-trip latency in milliseconds

      Example: 12

    • message
      String

      Human-readable health check message

      Example: All checks passed

    • lcaUuid
      String

      Stable UUID of the LCA agent that performed the check

      Example: 0123456789abcdef0123456789abcdef

    • checkedAt
      String

      Timestamp when the check was performed

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of matching records

    Example: 500

  • limit
    Integer

    Limit used in this response

    Example: 20

  • offset
    Integer

    Offset used in this response

    Example: 40